import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { Institucion } from '../institucion.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('i.id_institucion', 'id_institucion')
      .addSelect('i.activo', 'activo')
      .addSelect('i.correo', 'correo')
      .addSelect('i.dominio', 'dominio')
      .addSelect('i.institucion', 'institucion')
      .addSelect('i.responsable', 'responsable')
      .from(Institucion, 'i')
      .orderBy('institucion', 'ASC'),
})
export class MinInformacionInstitucionView {
  @ViewColumn()
  id_institucion: number;

  @ViewColumn()
  activo: number;

  @ViewColumn()
  correo: string;

  @ViewColumn()
  dominio: string;

  @ViewColumn()
  institucion: string;

  @ViewColumn()
  responsable: string;
}
