import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionController } from './institucion.controller';
import { InstitucionService } from './institucion.service';
import { Institucion } from './entity/institucion.entity';
import { InformacionInstitucionView } from './entity/views/informacion-institucion.view';
import { MinInformacionInstitucionView } from './entity/views/min-informacion-institucion.view';
import { ValidarUsuarioModule } from '../validar-usuario/validar-usuario.module';

@Module({
  imports: [
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([
      Institucion,
      InformacionInstitucionView,
      MinInformacionInstitucionView,
    ]),
    ValidarUsuarioModule,
  ],
  controllers: [InstitucionController],
  providers: [InstitucionService],
  exports: [InstitucionService],
})
export class InstitucionModule {}
